javax.jdo.metadata

## Interface TypeMetadata

- All Superinterfaces:
    Metadata
  All Known Subinterfaces:
    ClassMetadata, InterfaceMetadata

      public interface TypeMetadata
      extends Metadata

  Represents a class or interface. Extended for the specifics of those cases.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCacheable()` Accessor for whether this is cacheable.
    `String` | `getCatalog()` Accessor for the catalog (ORM) for this component.
    `ColumnMetadata[]` | `getColumns()` Accessor for all column(s) defined on the join.
    `DatastoreIdentityMetadata` | `getDatastoreIdentityMetadata()` Accessor for the datastore identity details.
    `boolean` | `getDetachable()` Accessor for whether this is detachable.
    `Boolean` | `getEmbeddedOnly()` Accessor for whether this is embedded only.
    `FetchGroupMetadata[]` | `getFetchGroups()` Accessor for all FetchGroup defined on the component.
    `ForeignKeyMetadata[]` | `getForeignKeys()` Accessor for all fk(s) defined on the component.
    `IdentityType` | `getIdentityType()` Accessor for the identity type to use.
    `IndexMetadata[]` | `getIndices()` Accessor for all index(s) defined on the component.
    `InheritanceMetadata` | `getInheritanceMetadata()` Accessor for the inheritance (if any).
    `JoinMetadata[]` | `getJoins()` Accessor for all joins(s) defined on the component.
    `MemberMetadata[]` | `getMembers()` Accessor for all fields/properties defined on the component.
    `String` | `getName()` Accessor for the name of this component (set on construction).
    `int` | `getNumberOfColumns()` Accessor for the number of columns defined for this join.
    `int` | `getNumberOfFetchGroups()` Accessor for the number of fetchGroups defined for this component.
    `int` | `getNumberOfForeignKeys()` Accessor for the number of FKs defined for this component.
    `int` | `getNumberOfIndices()` Accessor for the number of indices defined for this component.
    `int` | `getNumberOfJoins()` Accessor for the number of join(s) defined for this component.
    `int` | `getNumberOfMembers()` Accessor for the number of fields/properties defined for this component.
    `int` | `getNumberOfQueries()` Accessor for the number of named queries defined for this component.
    `int` | `getNumberOfUniques()` Accessor for the number of unique constraints defined for this component.
    `String` | `getObjectIdClass()` Accessor for the object-id class (if defined).
    `PrimaryKeyMetadata` | `getPrimaryKeyMetadata()` Accessor for the primary key (if any).
    `QueryMetadata[]` | `getQueries()` Accessor for all named queries defined on the component.
    `boolean` | `getRequiresExtent()` Accessor for whether the component requires an extent.
    `String` | `getSchema()` Accessor for the schema (ORM) for this component.
    `boolean` | `getSerializeRead()` Accessor for the value of serializeRead for objects of this type.
    `String` | `getTable()` Accessor for the name of the table.
    `UniqueMetadata[]` | `getUniques()` Accessor for all unique constraints defined on the component.
    `VersionMetadata` | `getVersionMetadata()` Accessor for the version (if any).
    `ColumnMetadata` | `newColumnMetadata()` Add a new column for this join.
    `DatastoreIdentityMetadata` | `newDatastoreIdentityMetadata()` Method to define the datastore identity metadata details.
    `FetchGroupMetadata` | `newFetchGroupMetadata(String name)` Add a new FetchGroup for this component.
    `ForeignKeyMetadata` | `newForeignKeyMetadata()` Add a new FK for this component.
    `IndexMetadata` | `newIndexMetadata()` Add a new index for this component.
    `InheritanceMetadata` | `newInheritanceMetadata()` Method to define the inheritance metadata.
    `JoinMetadata` | `newJoinMetadata()` Add a join for this component.
    `PrimaryKeyMetadata` | `newPrimaryKeyMetadata()` Method to define the primary key details.
    `PropertyMetadata` | `newPropertyMetadata(Method method)` Add a new property for this component.
    `PropertyMetadata` | `newPropertyMetadata(String name)` Add a new property for this component.
    `QueryMetadata` | `newQueryMetadata(String name)` Add a new query for this component.
    `UniqueMetadata` | `newUniqueMetadata()` Add a new unique constraint for this component.
    `VersionMetadata` | `newVersionMetadata()` Method to define the version metadata.
    `TypeMetadata` | `setCacheable(boolean cacheable)` Method to set whether this is cacheable.
    `TypeMetadata` | `setCatalog(String catalog)` Method to set the catalog (ORM) for this component.
    `TypeMetadata` | `setDetachable(boolean detachable)` Method to set whether this is detachable.
    `TypeMetadata` | `setEmbeddedOnly(boolean embedded)` Method to set whether it is stored only as embedded in other objects.
    `TypeMetadata` | `setIdentityType(IdentityType id)` Method to define the identity type to use.
    `TypeMetadata` | `setObjectIdClass(String idclass)` Method to set the object-id (PK) class.
    `TypeMetadata` | `setRequiresExtent(boolean extent)` Method to set whether the component requires an extent.
    `TypeMetadata` | `setSchema(String schema)` Method to set the schema (ORM) for this component.
    `TypeMetadata` | `setSerializeRead(boolean flag)` Method to set the default value of serializeRead for objects of this type.
    `TypeMetadata` | `setTable(String table)` Method to set the table name.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### getName

          String getName()

      Accessor for the name of this component (set on construction).
      Returns:
        The name

    - #### setIdentityType

          TypeMetadata setIdentityType(IdentityType id)

      Method to define the identity type to use.
      Parameters:
        `id` - identity type
      Returns:
        This metadata object

    - #### getIdentityType

          IdentityType getIdentityType()

      Accessor for the identity type to use.
      Returns:
        identity type

    - #### setObjectIdClass

          TypeMetadata setObjectIdClass(String idclass)

      Method to set the object-id (PK) class.
      Parameters:
        `idclass` - Object-id class
      Returns:
        This metadata object

    - #### getObjectIdClass

          String getObjectIdClass()

      Accessor for the object-id class (if defined).
      Returns:
        The object-id class

    - #### setRequiresExtent

          TypeMetadata setRequiresExtent(boolean extent)

      Method to set whether the component requires an extent.
      Parameters:
        `extent` - Requires extent?
      Returns:
        This metadata object

    - #### getRequiresExtent

          boolean getRequiresExtent()

      Accessor for whether the component requires an extent.
      Returns:
        Requires extent?

    - #### setDetachable

          TypeMetadata setDetachable(boolean detachable)

      Method to set whether this is detachable.
      Parameters:
        `detachable` - Detachable?
      Returns:
        This metadata object

    - #### getDetachable

          boolean getDetachable()

      Accessor for whether this is detachable.
      Returns:
        Detachable?

    - #### setCacheable

          TypeMetadata setCacheable(boolean cacheable)

      Method to set whether this is cacheable.
      Parameters:
        `cacheable` - Cacheable?
      Returns:
        This metadata object

    - #### getCacheable

          boolean getCacheable()

      Accessor for whether this is cacheable.
      Returns:
        Detachable?

    - #### setSerializeRead

          TypeMetadata setSerializeRead(boolean flag)

      Method to set the default value of serializeRead for objects of this type.
      Parameters:
        `flag` - serializeRead
      Returns:
        This metadata object

    - #### getSerializeRead

          boolean getSerializeRead()

      Accessor for the value of serializeRead for objects of this type.
      Returns:
        SerializeRead?

    - #### setEmbeddedOnly

          TypeMetadata setEmbeddedOnly(boolean embedded)

      Method to set whether it is stored only as embedded in other objects.
      Parameters:
        `embedded` - Whether it is only stored embedded
      Returns:
        This metadata object

    - #### getEmbeddedOnly

          Boolean getEmbeddedOnly()

      Accessor for whether this is embedded only.
      Returns:
        Only stored as embedded

    - #### setCatalog

          TypeMetadata setCatalog(String catalog)

      Method to set the catalog (ORM) for this component.
      Parameters:
        `catalog` - Catalog name
      Returns:
        This metadata object

    - #### getCatalog

          String getCatalog()

      Accessor for the catalog (ORM) for this component.
      Returns:
        The catalog

    - #### setSchema

          TypeMetadata setSchema(String schema)

      Method to set the schema (ORM) for this component.
      Parameters:
        `schema` - Schema name
      Returns:
        This metadata object

    - #### getSchema

          String getSchema()

      Accessor for the schema (ORM) for this component.
      Returns:
        The schema

    - #### setTable

          TypeMetadata setTable(String table)

      Method to set the table name.
      Parameters:
        `table` - Table name
      Returns:
        This metadata object

    - #### getTable

          String getTable()

      Accessor for the name of the table.
      Returns:
        The name

    - #### newInheritanceMetadata

          InheritanceMetadata newInheritanceMetadata()

      Method to define the inheritance metadata.
      Returns:
        The InheritanceMetadata

    - #### getInheritanceMetadata

          InheritanceMetadata getInheritanceMetadata()

      Accessor for the inheritance (if any).
      Returns:
        inheritance

    - #### newVersionMetadata

          VersionMetadata newVersionMetadata()

      Method to define the version metadata.
      Returns:
        The VersionMetadata

    - #### getVersionMetadata

          VersionMetadata getVersionMetadata()

      Accessor for the version (if any).
      Returns:
        version

    - #### newDatastoreIdentityMetadata

          DatastoreIdentityMetadata newDatastoreIdentityMetadata()

      Method to define the datastore identity metadata details.
      Returns:
        The DatastoreIdentityMetadata

    - #### getDatastoreIdentityMetadata

          DatastoreIdentityMetadata getDatastoreIdentityMetadata()

      Accessor for the datastore identity details.
      Returns:
        datastore identity details

    - #### newPrimaryKeyMetadata

          PrimaryKeyMetadata newPrimaryKeyMetadata()

      Method to define the primary key details.
      Returns:
        The PrimaryKeyMetadata

    - #### getPrimaryKeyMetadata

          PrimaryKeyMetadata getPrimaryKeyMetadata()

      Accessor for the primary key (if any).
      Returns:
        primary key details

    - #### getJoins

          JoinMetadata[] getJoins()

      Accessor for all joins(s) defined on the component.
      Returns:
        The join(s)

    - #### newJoinMetadata

          JoinMetadata newJoinMetadata()

      Add a join for this component.
      Returns:
        The JoinMetadata

    - #### getNumberOfJoins

          int getNumberOfJoins()

      Accessor for the number of join(s) defined for this component.
      Returns:
        The number of join(s)

    - #### getForeignKeys

          ForeignKeyMetadata[] getForeignKeys()

      Accessor for all fk(s) defined on the component.
      Returns:
        The fk(s)

    - #### newForeignKeyMetadata

          ForeignKeyMetadata newForeignKeyMetadata()

      Add a new FK for this component.
      Returns:
        The ForeignKeyMetadata

    - #### getNumberOfForeignKeys

          int getNumberOfForeignKeys()

      Accessor for the number of FKs defined for this component.
      Returns:
        The number of FKs

    - #### getIndices

          IndexMetadata[] getIndices()

      Accessor for all index(s) defined on the component.
      Returns:
        The index(s)

    - #### newIndexMetadata

          IndexMetadata newIndexMetadata()

      Add a new index for this component.
      Returns:
        The IndexMetadata

    - #### getNumberOfIndices

          int getNumberOfIndices()

      Accessor for the number of indices defined for this component.
      Returns:
        The number of indices

    - #### getUniques

          UniqueMetadata[] getUniques()

      Accessor for all unique constraints defined on the component.
      Returns:
        The unique constraints

    - #### newUniqueMetadata

          UniqueMetadata newUniqueMetadata()

      Add a new unique constraint for this component.
      Returns:
        The UniqueMetadata

    - #### getNumberOfUniques

          int getNumberOfUniques()

      Accessor for the number of unique constraints defined for this component.
      Returns:
        The number of unique constraints

    - #### getMembers

          MemberMetadata[] getMembers()

      Accessor for all fields/properties defined on the component.
      Returns:
        The members

    - #### getNumberOfMembers

          int getNumberOfMembers()

      Accessor for the number of fields/properties defined for this component.
      Returns:
        The number of members

    - #### newPropertyMetadata

          PropertyMetadata newPropertyMetadata(String name)

      Add a new property for this component.
      Parameters:
        `name` - Name of the property
      Returns:
        The PropertyMetadata

    - #### newPropertyMetadata

          PropertyMetadata newPropertyMetadata(Method method)

      Add a new property for this component.
      Parameters:
        `method` - Java bean getter/setter method
      Returns:
        The PropertyMetadata

    - #### getQueries

          QueryMetadata[] getQueries()

      Accessor for all named queries defined on the component.
      Returns:
        The queries

    - #### newQueryMetadata

          QueryMetadata newQueryMetadata(String name)

      Add a new query for this component.
      Parameters:
        `name` - Name of the query to add
      Returns:
        The QueryMetadata

    - #### getNumberOfQueries

          int getNumberOfQueries()

      Accessor for the number of named queries defined for this component.
      Returns:
        The number of named queries

    - #### getFetchGroups

          FetchGroupMetadata[] getFetchGroups()

      Accessor for all FetchGroup defined on the component.
      Returns:
        The FetchGroups

    - #### newFetchGroupMetadata

          FetchGroupMetadata newFetchGroupMetadata(String name)

      Add a new FetchGroup for this component.
      Parameters:
        `name` - Name of the FetchGroup
      Returns:
        The FetchGroupMetadata

    - #### getNumberOfFetchGroups

          int getNumberOfFetchGroups()

      Accessor for the number of fetchGroups defined for this component.
      Returns:
        The number of fetch groups

    - #### getColumns

          ColumnMetadata[] getColumns()

      Accessor for all column(s) defined on the join.
      Returns:
        The column(s)

    - #### newColumnMetadata

          ColumnMetadata newColumnMetadata()

      Add a new column for this join.
      Returns:
        The ColumnMetadata

    - #### getNumberOfColumns

          int getNumberOfColumns()

      Accessor for the number of columns defined for this join.
      Returns:
        The number of columns

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.